wine (10.0~repack-12ubuntu1) resolute; urgency=medium

  * Several patches to fix FTBFS: (LP: #2145772) (Closes: #1127544)
  * debian/patches/fixes/vulkan-funcpointer-xml.patch:
    -  Handle new vk.xml funcpointer format
  * debian/patches/warnings/discarded-qualifiers.patch:
    - Fix discarded-qualifiers warnings with GCC 15 and glibc 2.43
  * debian/patches/warnings/wchar-macro-redefine.patch:
    - Undef wcschr/wcsrchr/wcspbrk before redefining in unixlib.h
  * debian/patches/fixes/vulkan-union-selector.patch
    - Add VkFlags selector parameter to non-conv union conversion functs

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 24 Mar 2026 11:48:23 -0700

wine (10.0~repack-12build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:21:02 +0000

wine (10.0~repack-12) unstable; urgency=medium

  * Enable fortify build flags.
  * Detect updates to debian/control.in.
  * Remove /usr/bin/wineserver launcher script.
  * Discuss packaging updates in README.Debian.
  * Support 32-bit windows applications natively on 64-bit architectures.
    - Enable native ARM PE32 executables on arm64 (closes: #1100696).
    - Enable native X86 PE32 executables on amd64 (closes: #1116342).
  * Re-add wine64 launcher script, add launcher for wine32 (closes: #1063506).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 21 Oct 2025 21:55:00 +0000

wine (10.0~repack-11) unstable; urgency=medium

  * Remove obsolete libosmesa6-dev build dependency (closes: #1117780).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 13 Oct 2025 04:44:14 +0000

wine (10.0~repack-10) unstable; urgency=medium

  * Avoid duplicate installation of nls files.
  * Remove unnecessary adjustment to gecko/mono addon paths.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 07 Oct 2025 22:08:30 +0000

wine (10.0~repack-9) unstable; urgency=medium

  * Update standards version to 4.7.2.
  * Fix installation of nls files in arch-independent builds.
  * Automate inclusion/exclusion of the stable-only packages in debian/control.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 07 Oct 2025 00:29:55 +0000

wine (10.0~repack-8) unstable; urgency=medium

  * Increase build verbosity.
  * Handle noopt build option correctly again.
  * Installation of fonts-wine is now optional (closes: #1056203).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Oct 2025 06:20:43 +0000

wine (10.0~repack-7) unstable; urgency=medium

  * Support building with vulkan 1.4.318.
  * Support building with unicode 16 (closes: #1114527).
  * Fix syntax of systemd binfmt file (closes: #1103238).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Oct 2025 03:27:18 +0000

wine (10.0~repack-6) unstable; urgency=medium

  * Apply upstream patches fixing relocation entry point handling in
    builtin modules; thanks to Bernhard Übelacker for the investigation!
    Closes: #1104317.

 -- Stephen Kitt <skitt@debian.org>  Thu, 26 Jun 2025 09:00:48 +0200

wine (10.0~repack-5) unstable; urgency=medium

  * Build appropriately for vulkan 1.4 (closes: #1104898).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 10 Jun 2025 22:03:42 +0000

wine (10.0~repack-4) unstable; urgency=medium

  * Stop rebuilding debian/control, it won't change for the wine package.
    The rebuild recipe is preserved so that future changes to
    debian/control.in can be applied without too much effort, but no
    rebuild should rebuild debian/control (including binNMUs).
    Closes: #1079184.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 May 2025 08:46:37 +0200

wine (10.0~repack-3) unstable; urgency=medium

  * Fix dh_strip errors on armhf.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 07 Apr 2025 02:06:03 +0000

wine (10.0~repack-2) unstable; urgency=medium

  * Fix dh_strip errors on arm64.
  * Apply upstream patches supporting armhf (closes: #1093197).
    - Thanks to Martin Storsjo.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Apr 2025 15:47:52 +0000

wine (10.0~repack-1) unstable; urgency=medium

  * New upstream release 10.0, released Jan 21, 2025.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Apr 2025 06:01:24 +0000

wine (10.0~rc2~repack-4) unstable; urgency=medium

  * Apply upstream fixes to support binutils 2.44 (closes: #1101977).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 04 Apr 2025 23:09:32 +0000

wine (10.0~rc2~repack-3) unstable; urgency=medium

  * Build with clang on arm64 (closes: #1100695).
    - Thanks to Martin Storsjo.
  * Remove armel packages (software floating point is now dropped upstream).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 02 Apr 2025 01:51:39 +0000

wine (10.0~rc2~repack-2) unstable; urgency=medium

  * Avoid modifications outside the build directory in make_vulkan.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Dec 2024 04:07:54 +0000

wine (10.0~rc2~repack-1) unstable; urgency=medium

  * New upstream release 10.0-rc2, released Dec 13, 2024.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Dec 2024 02:57:49 +0000

wine (10.0~rc1~repack-1) unstable; urgency=medium

  * New upstream release 10.0-rc1, released Dec 6, 2024.
    - Bundled vkd3d upgraded to version 1.14.
    - Initial version of a Bluetooth driver.
    - UTF-8 support in the C runtime functions.
    - Support for split debug info using build ids.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Dec 2024 23:08:36 +0000

wine (9.0~repack-7) unstable; urgency=medium

  * Fix another uninitialized variable warning on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Dec 2024 19:16:13 +0000

wine (9.0~repack-6) unstable; urgency=medium

  * Fix uninitialized variable warning on arm.
  * Fix vulkan integer conversion warning on amd64 (closes: #1069394).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 22 Dec 2024 00:46:45 +0000

wine (9.0~repack-5) unstable; urgency=medium

  * Update standards to 4.7.0.
  * Support building with gcc 14.
  * Support building with vulkan 1.3.296 (closes: #1082324).
  * Handle NULL pointer condition in memory protection fix (closes: #1076498).
  * Upstream no longer provides libwine.so, remove symlinks (closes: #1068155).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Dec 2024 17:20:48 +0000

wine (9.0~repack-4) unstable; urgency=medium

  * Fix various lintian warnings.
  * Build with support for wayland enabled.
  * Disable unwind on armel and armhf (broken upstream currently).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 10 Feb 2024 18:00:33 +0000

wine (9.0~repack-3) unstable; urgency=medium

  * Update git branch.
  * Support building with vulkan 1.3.275.
  * Fix incorrect handling of WRITECOPY memory protection.
  * Fix build failures on armel and armhf (closes: #1061655).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 10 Feb 2024 02:12:06 +0000

wine (9.0~repack-2) unstable; urgency=medium

  * Fix uninitialized variable warning.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Jan 2024 20:47:52 +0000

wine (9.0~repack-1) unstable; urgency=medium

  * New upstream release 9.0, released Jan 16, 2024.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Jan 2024 05:31:07 +0000

wine-development (8.21~repack-1) unstable; urgency=medium

  * New upstream release 8.21, released Nov 24, 2023.
    - High-DPI scaling and initial Vulkan support in the Wayland driver.
    - Beginnings of support for ARM64EC target.
    - Updates to the locale database.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 26 Jan 2024 21:36:40 +0000

wine-development (8.20~repack-1) unstable; urgency=medium

  * New upstream release 8.20, released Nov 10, 2023.
    - More DirectMusic implementation.
    - Protocol associations exported to the Unix desktop.
    - Code cleanups in preparation for code freeze.
    - Various bug fixes.
  * Update temporary directory patch to use asprintf.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Nov 2023 22:34:12 +0000

wine-development (8.19~repack-1) unstable; urgency=medium

  * New upstream release 8.19, released Oct 29, 2023.
    - More DirectMusic implementation.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 22:20:20 +0000

wine-development (8.18~repack-1) unstable; urgency=medium

  * New upstream release 8.18, released Oct 13, 2023.
    - Bundled FluidSynth library for DirectMusic.
    - More window management in the Wayland driver.
    - More effect support in Direct3D 10.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 21:00:12 +0000

wine-development (8.17~repack-1) unstable; urgency=medium

  * New upstream release 8.17, released Sep 29, 2023.
    - Bundled vkd3d upgraded to version 1.9.
    - Initial window management in the Wayland driver.
    - SoundFont support in DirectMusic.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 17:41:22 +0000

wine-development (8.16~repack-1) unstable; urgency=medium

  * New upstream release 8.16, released Sep 15, 2023.
    - Beginnings of a DirectMusic revival.
    - Many fixes and improvements in the regression tests.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 15:23:44 +0000

wine-development (8.15~repack-1) unstable; urgency=medium

  * New upstream release 8.15, released Sep 1, 2023.
    - Support for TEXT print processor.
    - Cycle Collection support in MSHTML.
    - Cross-process memory notifications in Wow64.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 04:15:31 +0000

wine-development (8.14~repack-1) unstable; urgency=medium

  * New upstream release 8.14, released Aug 18, 2023.
    - Dumping of Windows registry files in WineDump.
    - Fixes for Wow64 window messages.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 18 Nov 2023 00:05:01 +0000

wine-development (8.13~repack-2) unstable; urgency=medium

  * Support building with unicode 15.1.
  * Fix incorrect vkd3d format strings.
  * Build using the unicode-idna package.
  * Avoid clobbering the x18 register on arm64.
  * Remove uninitialized variable fixes that are now upstream.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 17 Nov 2023 23:13:38 +0000

wine-development (8.13~repack-1) unstable; urgency=medium

  * New upstream release 8.13, released Jul 21, 2023.
    - Wow64 support in WineGStreamer.
    - WeakMap support in JScript.
    - Georgian translation.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 12 Aug 2023 01:52:39 +0000

wine-development (8.12~repack-1) unstable; urgency=medium

  * New upstream release 8.12, released Jul 7, 2023.
    - Initial support for painting windows in the Wayland driver.
    - Command stream performance improvements in WineD3D.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 11 Aug 2023 23:58:36 +0000

wine-development (8.11~repack-1) unstable; urgency=medium

  * New upstream release 8.11, released Jun 23, 2023.
    - More mouse cursor clipping improvements.
    - Support for TLS alerts.
    - Increased available address space in WoW64 mode.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 11 Aug 2023 22:26:12 +0000

wine-development (8.10~repack-1) unstable; urgency=medium

  * New upstream release 8.10, released Jun 9, 2023.
    - All PE->Unix transitions go through the syscall interface.
    - Mouse cursor clipping improvements.
    - Support for virtual memory placeholders.
    - Locale and timezone data updates.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Aug 2023 22:09:57 +0000

wine-development (8.9~repack-1) unstable; urgency=medium

  * New upstream release 8.9, released May 26, 2023.
    - Completion of PE conversion in the PostScript driver.
    - Doppler shift support in DirectSound.
    - GdiPlus performance improvements.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Aug 2023 21:41:52 +0000

wine-development (8.8~repack-1) unstable; urgency=medium

  * New upstream release 8.8, released May 12, 2023.
    - More work towards full PE support in the PostScript driver.
    - Initial support for loading ARM64EC modules.
    - More work on IME restructuration.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Aug 2023 05:26:30 +0000

wine-development (8.7~repack-1) unstable; urgency=medium

  * New upstream release 8.7, released Apr 28, 2023.
    - DXBC shader parsing delegated to vkd3d.
    - More spool file improvements in the PostScript driver.
    - Various bug fixes.
  * Organize arm patches.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Aug 2023 02:15:24 +0000

wine-development (8.6~repack-1) unstable; urgency=medium

  * New upstream release 8.6, released Apr 14, 2023.
    - Bundled math library from Musl libc.
    - Improved spool file support in the PostScript driver.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 02 Aug 2023 02:02:31 +0000

wine-development (8.5~repack-1) unstable; urgency=medium

  * New upstream release 8.5, released Mar 31, 2023.
    - Bundled vkd3d upgraded to version 1.7.
    - Better error reporting in the IDL compiler.
    - Support for shared Wow64 Classes registry key.
    - More cleanups in IME support.
    - Support for configuring a WinRT dark theme.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 02 Aug 2023 00:57:49 +0000

wine-development (8.4~repack-1) unstable; urgency=medium

  * New upstream release 8.4, released Mar 17, 2023.
    - Initial step of the Wayland graphics driver.
    - Cleanups in IME support.
    - A number of test fixes.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 02 Aug 2023 00:12:19 +0000

wine-development (8.3~repack-1) unstable; urgency=medium

  * New upstream release 8.3, released Mar 3, 2023.
    - Support for the Low Fragmentation Heap.
    - Smard card support using PCSC-Lite.
    - Bundled Zydis library for more correct disassembly.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Jul 2023 19:41:14 +0000

wine-development (8.2~repack-1) unstable; urgency=medium

  * New upstream release 8.2, released Feb 17, 2023.
    - Better debug information in Wow64 mode.
    - Wow64 thunks in the WPCAP library.
    - Indeo IV50 codec support.
    - Monitor names set from EDID data.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Jul 2023 18:50:45 +0000

wine-development (8.1~repack-1) unstable; urgency=medium

  * New upstream release 8.1, released Feb 2, 2023.
    - Windows version set to Windows 10 for new prefixes.
    - Many code cleanups that were deferred during code freeze.
    - Various bug fixes.
  * Merge changelogs from the stable branches.
  * Import updates from the 8.0 stable branch.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Jul 2023 02:06:37 +0000

wine (8.0.1~repack-3) unstable; urgency=medium

  * Fix build failure on arm.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 16 Jul 2023 01:30:59 +0000

wine (8.0.1~repack-2) unstable; urgency=medium

  * Fix build failure on arm.
  * Move ttf fonts to /usr/share/fonts/truetype/wine (closes: #883973).
  * Import upstream fixes for hidden file attributes (closes: #1033278).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 15 Jul 2023 14:05:24 +0000

wine (8.0.1~repack-1) unstable; urgency=medium

  * New upstream release 8.0.1, released Apr 20, 2023.
    - Various bug fixes
  * Support building with vulkan 1.3.250.
  * Fix font paths in win32u (closes: #1036080).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 15 Jul 2023 01:13:56 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog wine-common`.
